$radius: 0.65em;
$spacing: 0.5em;

div#header {
  background-color: var(--foreground);
  backdrop-filter: blur(8px);
  box-shadow: var(--primary-shadow);

  position: fixed;
  z-index: 999;

  border-radius: 10px;

  display: grid;
  gap: 1rem;
  grid-template-columns: repeat(3, 1fr);
  padding: 7px;
  align-items: center;

  .left {
    color: unset;

    display: flex;
    gap: 0.5em;

    img {
      height: 40px;
      border-radius: 7px;
      grid-row: span 2;
      background: oklch(
        var(--profile-background-lightness) var(--profile-background-chroma)
          var(--accent-hue)
      );
    }

    div {
      display: grid;
      white-space: nowrap;

      margin-top: -3px;
      margin-bottom: -1px;

      .title {
        font-weight: 700;
        font-size: 1.25em;
        margin-top: -2px;
        margin-bottom: -7px;
      }

      .subtitle {
        font-weight: 400;
        font-size: 0.8em;
      }
    }
  }

  .middle {
    flex-grow: 1;

    display: flex;
    gap: 1em;
    justify-content: center;

    a {
      cursor: pointer;
      color: unset;

      $border-width: 2px;
      border-bottom: $border-width solid transparent;
      transition: border-bottom 200ms;

      &.active {
        border-bottom: $border-width solid rgb(81, 81, 81);
      }

      &:hover {
        border-bottom: $border-width solid var(--accent-secondary);
      }
    }
  }

  .right {
    margin-right: 1em; // to compensate for image

    display: flex;
    justify-content: right;
    align-items: center;
    font-size: 18px;
    gap: 0.5em;

    position: relative;

    span {
      display: flex;
      align-items: center;
      cursor: pointer;
    }

    #huePicker {
      position: absolute;
      top: 3rem;
      right: 0;

      display: flex;
      align-items: center;
      font-size: 14px;
      gap: 0.5em;

      background-color: var(--foreground);
      backdrop-filter: blur(8px);
      box-shadow: var(--primary-shadow);
      border-radius: 5px;

      padding: 0.5rem;

      input {
        box-shadow: none
      }
    }
  }

  // If bigger than small
  @media (min-width: $resolution-small) {
    width: calc(80% - 2 * 7px - 2px);
    max-width: 960px;
    left: 50%;
    transform: translateX(-50%);
    top: 20px;
  }
  // If small than small but bugger than tiny
  @media (min-width: $resolution-tiny) and (max-width: $resolution-small) {
    $padding: 20px;
    width: unset;
    top: $padding;
    left: $padding;
    right: $padding;
  }
  // If smaller than tiny
  @media (max-width: $resolution-tiny) {
    $padding: 20px;
    width: unset;
    left: $padding;
    right: $padding;
    bottom: $padding;
  }

  // If smaller than 580px
  @media (max-width: 580px) {
    grid-template-columns: 1fr auto auto;
  }
  // If smaller than minisqule
  @media (max-width: $resolution-minuscule) {
    .right {
      display: none;
    }
  }
  // If smaller than minisqule
  @media (max-width: 380px) {
    .left div {
      display: none;
    }
  }
}
